public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-video/parole/
Date: Thu, 12 Apr 2018 19:12:50 +0000 (UTC)	[thread overview]
Message-ID: <1523560365.e4cb205cd01fdf98d5f8cdb5b304a03229fc7828.mgorny@gentoo> (raw)

commit:     e4cb205cd01fdf98d5f8cdb5b304a03229fc7828
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Apr 12 18:31:50 2018 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Apr 12 19:12:45 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e4cb205c

media-video/parole: Bump to 1.0.1 (translation update)

 media-video/parole/Manifest            |  1 +
 media-video/parole/parole-1.0.1.ebuild | 67 ++++++++++++++++++++++++++++++++++
 2 files changed, 68 insertions(+)

diff --git a/media-video/parole/Manifest b/media-video/parole/Manifest
index 5e741ede83a..38713eef7bf 100644
--- a/media-video/parole/Manifest
+++ b/media-video/parole/Manifest
@@ -1,2 +1,3 @@
 DIST parole-0.8.1.tar.bz2 814827 BLAKE2B 54c6753da5f9e6e6eef70bfbe13dd6496687fb35905ac8222a8ab96d3a46bc2f718a5d87dc44abec2c15cfde503f839960b0bcb51c8a58b5c978df830eec5207 SHA512 73c27022331828adb7b5805245ce97f03f4848c569125529436e82651da61e28f4d4a834468d6e4c165754f2fd9664eded9a7e15fc86f067d9b2c7c54afff3ee
 DIST parole-1.0.0.tar.bz2 900499 BLAKE2B d6a1eb21846426781a712f33b7cf8f412b17b9a3e02b1ef15b6ff742687efc70a3e3f0ae8124ed2226a1cf00022c7ef0650c8e1c1b6e3279b111891e8c3e651e SHA512 0581fed93d2a09a3d9ec9cf1bb68a298ccd47676b22d0824495136ee9d785290b8465af8c12b5ecd34a46936f7433bf96dd559e6252a8f1af46c0e2f9256c864
+DIST parole-1.0.1.tar.bz2 903754 BLAKE2B 2bd8a8892c04bc145d7ba0bc08c29ad1f9c4507cce533d554952553e46c408e9f293a19820790541d0a494052ac6024d415bfef4864fc09b8d851664688ace3e SHA512 026ece62e6a8175976e7ce218edbd6955a0cdb5074996adad5bed3e536f90108e4d1106f22edcb06d213fb09dd47b04f81bff94f4534710b61f0f53cb0395f72

diff --git a/media-video/parole/parole-1.0.1.ebuild b/media-video/parole/parole-1.0.1.ebuild
new file mode 100644
index 00000000000..3fe9a536f39
--- /dev/null
+++ b/media-video/parole/parole-1.0.1.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit gnome2-utils xdg-utils
+
+DESCRIPTION="A simple Xfce4 media player using GStreamer"
+HOMEPAGE="https://docs.xfce.org/apps/parole/start"
+SRC_URI="mirror://xfce/src/apps/${PN}/${PV%.*}/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~mips ~x86"
+IUSE="clutter libnotify taglib"
+
+COMMON_DEPEND=">=dev-libs/dbus-glib-0.100:=
+	>=dev-libs/glib-2.32:2=
+	media-libs/gstreamer:1.0=
+	media-libs/gst-plugins-base:1.0=
+	sys-apps/dbus:0=
+	>=x11-libs/gtk+-3.20:3=
+	x11-libs/libX11:0=
+	>=xfce-base/libxfce4ui-4.11:0=[gtk3(+)]
+	>=xfce-base/libxfce4util-4.11:0=
+	>=xfce-base/xfconf-4.10:0=
+	clutter? (
+		>=media-libs/clutter-1.16.4:1.0=
+		>=media-libs/clutter-gtk-1.4.4:1.0=
+		<x11-libs/gtk+-3.22:3
+	)
+	libnotify? ( >=x11-libs/libnotify-0.7:0= )
+	taglib? ( >=media-libs/taglib-1.6:0= )"
+RDEPEND="${COMMON_DEPEND}
+	media-plugins/gst-plugins-meta:1.0"
+DEPEND="${COMMON_DEPEND}
+	dev-util/intltool
+	sys-devel/gettext
+	virtual/pkgconfig
+	x11-proto/xproto"
+
+DOCS=( AUTHORS ChangeLog README THANKS TODO )
+
+src_configure() {
+	local myconf=(
+		$(use_enable clutter)
+		$(use_enable taglib)
+		$(use_enable libnotify notify-plugin)
+	)
+
+	econf "${myconf[@]}"
+}
+
+src_install() {
+	default
+	find "${D}" -name '*.la' -delete || die
+}
+
+pkg_postinst() {
+	xdg_desktop_database_update
+	gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+	xdg_desktop_database_update
+	gnome2_icon_cache_update
+}


             reply	other threads:[~2018-04-12 19:12 UTC|newest]

Thread overview: 44+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-04-12 19:12 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-02-10  6:58 [gentoo-commits] repo/gentoo:master commit in: media-video/parole/ Ionen Wolkens
2024-01-25  9:21 Sam James
2024-01-25  9:21 Sam James
2024-01-24  4:57 Ionen Wolkens
2024-01-23  5:07 Ionen Wolkens
2024-01-17  9:38 Michał Górny
2024-01-17  2:46 Ionen Wolkens
2024-01-17  2:46 Ionen Wolkens
2024-01-07  5:57 WANG Xuerui
2024-01-05 13:21 Jakov Smolić
2023-12-01 21:58 Michał Górny
2023-12-01  5:39 Michał Górny
2023-04-08 18:45 Michał Górny
2023-04-08 17:55 Arthur Zamarin
2023-04-08 17:31 Arthur Zamarin
2023-02-19  3:55 Michał Górny
2021-02-19 16:11 Sam James
2021-02-19  4:19 Sam James
2021-01-11  9:21 Michał Górny
2020-12-27 19:43 Michał Górny
2020-01-03  8:38 Michał Górny
2019-12-31 14:02 Agostino Sarubbo
2019-12-31  7:43 Agostino Sarubbo
2019-11-16  0:19 Michał Górny
2019-08-11 19:13 Michał Górny
2019-07-27 12:25 Michał Górny
2019-05-24 22:20 Michał Górny
2019-05-16 23:56 Thomas Deutschmann
2019-05-11 17:57 Mikle Kolyada
2019-04-04 14:27 Michał Górny
2018-11-12 13:45 Mikle Kolyada
2018-11-11 20:06 Michał Górny
2018-11-11 19:07 Michał Górny
2018-10-03  8:00 Michał Górny
2018-10-03  8:00 Michał Górny
2018-04-08 17:28 Aaron Bauman
2017-06-09  7:39 Michał Górny
2017-06-06  9:23 Michał Górny
2017-06-06  9:23 Michał Górny
2017-02-26 19:15 Michał Górny
2017-02-16 21:06 Michał Górny
2016-12-20 12:31 Tobias Klausmann
2015-10-16 10:23 Michał Górny

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1523560365.e4cb205cd01fdf98d5f8cdb5b304a03229fc7828.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox